File: configure.ac

package info (click to toggle)
gambas3 3.13.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 51,876 kB
  • sloc: ansic: 149,522; cpp: 90,749; sh: 18,812; makefile: 1,761; perl: 1,536; xml: 482; cs: 342; python: 299
file content (49 lines) | stat: -rw-r--r-- 1,822 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
dnl ---- configure.ac for gb.pdf

m4_include([../version.m4])
AC_INIT(gambas3-gb-pdf, GB_VERSION, GB_MAIL, [], GB_URL)
AC_CONFIG_MACRO_DIR([m4])

GB_INIT(gb.pdf)
AC_PROG_LIBTOOL

GB_COMPONENT_SEARCH(
  poppler, POPPLER, gb.pdf, [src],
  'poppler >= 0.5',
  [GB_FIND(PDFDoc.h, `pkg-config --variable=includedir poppler`, poppler)],
  [],
  [],
  []
)

if test "$have_poppler" = "yes"; then
  pkg-config --atleast-version=0.5 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_5, $((1-$?)), Poppler version >= 0.5)
  pkg-config --atleast-version=0.5.91 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_6, $((1-$?)), Poppler version >= 0.6)
  pkg-config --atleast-version=0.8.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_8, $((1-$?)), Poppler version >= 0.8)
  pkg-config --atleast-version=0.11.3 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_11_3, $((1-$?)), Poppler version >= 0.11.3)
  pkg-config --atleast-version=0.17.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_17, $((1-$?)), Poppler version >= 0.17)
  pkg-config --atleast-version=0.20.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_20, $((1-$?)), Poppler version >= 0.20)
  pkg-config --atleast-version=0.58.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_58, $((1-$?)), Poppler version >= 0.58)
  pkg-config --atleast-version=0.64.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_64, $((1-$?)), Poppler version >= 0.64)
  pkg-config --atleast-version=0.71.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_71, $((1-$?)), Poppler version >= 0.71)
  pkg-config --atleast-version=0.72.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_72, $((1-$?)), Poppler version >= 0.72)
  pkg-config --atleast-version=0.76.0 poppler
  AC_DEFINE_UNQUOTED(POPPLER_VERSION_0_76, $((1-$?)), Poppler version >= 0.76)
fi

AC_OUTPUT( \
Makefile \
src/Makefile \
)

GB_PRINT_MESSAGES